Bug 177524 - [patch] audio/squeezeboxserver: p5-Path-Class-0.32 incompatible with bundled File::Spec
Summary: [patch] audio/squeezeboxserver: p5-Path-Class-0.32 incompatible with bundled ...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Stefan Walter
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-31 14:20 UTC by Mark Knight
Modified: 2013-05-13 21:40 UTC (History)
0 users

See Also:


Attachments
file.diff (1.79 KB, patch)
2013-03-31 14:20 UTC, Mark Knight
no flags Details | Diff
patch2.txt (2.12 KB, text/plain; charset=windows-1252)
2013-05-13 17:59 UTC, Mark Knight
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Knight 2013-03-31 14:20:00 UTC
	The recent bump to p5-Path-Class-0.32 breaks audio/squeezeboxserver, remove the
	squeezeboxserver version

Fix: Apply this patch - I'm also happy to adopt this port.
How-To-Repeat: 	Start squeezeboxserver and rescan music library gives this error:

		File::Spec version 3.26 required--this is only version 3.12
		at /usr/local/lib/perl5/site_perl/5.14.2/Path/Class/Entity.pm
Comment 1 Stefan Walter freebsd_committer 2013-05-12 19:34:30 UTC
Hi Mark,

isn't the port missing an explicit dependency on a port providing
File::Spec, then?

Regards,
Stefan
Comment 2 Stefan Walter freebsd_committer 2013-05-12 19:34:36 UTC
State Changed
From-To: open->feedback

Awaiting submitter's feedback. 


Comment 3 Stefan Walter freebsd_committer 2013-05-12 19:34:36 UTC
Responsible Changed
From-To: freebsd-ports-bugs->stefan

Track this while waiting for submitter's feedback.
Comment 4 Mark Knight 2013-05-13 00:27:31 UTC
Hi Stefan, Thanks for looking at this. The version of File::Spec that 
comes with the base perl-5.14.2 port seems to work: 
/usr/local/lib/perl5/5.14.2/mach/File/Spec.pm

Since I submitted this patch I have made another tweak to fix support 
for the latest mysql.

Index: Makefile
===================================================================
--- Makefile    (revision 317927)
+++ Makefile    (working copy)
@@ -7,13 +7,13 @@

  PORTNAME=      squeezeboxserver
  PORTVERSION=   7.5.4
-PORTREVISION=  5
+PORTREVISION=  6
  CATEGORIES=    audio
  MASTER_SITES= 
http://downloads.slimdevices.com/SqueezeboxServer_v${PORTVERSION}/
  DISTNAME=      ${PORTNAME}-${PORTVERSION}-noCPAN
  EXTRACT_SUFX=  .tgz

-MAINTAINER=    ports@FreeBSD.org
+MAINTAINER=    markk@knigma.org
  COMMENT=       Slim Devices audio streaming server

  # Defaults support playback of relativly unrestricted formats on SB2 or
@@ -93,6 +93,7 @@
                 CPAN/Data/Page.pm \
                 CPAN/DBI.pm \
                 CPAN/EV.pm \
+               CPAN/File/Spec.pm \
                 CPAN/File/Temp.pm \
                 CPAN/File/Which.pm \
                 CPAN/GD.pm \
@@ -125,6 +126,7 @@
                 CPAN/MRO \
                 CPAN/Path \
                 CPAN/Scope \
+               CPAN/File/Spec \
                 CPAN/Sub \
                 CPAN/SQL \
                 CPAN/Template \
@@ -175,6 +177,7 @@
         ${REINPLACE_CMD} \
                 -e 's/skip-locking/skip-external-locking/' \
                 -e 's/default-character-set/character-set-server/'\
+               -e 's/table_cache/table_open_cache/'\
                 -e 's/default-collation/collation-server/' 
${WRKSRC}/MySQL/my.tt
         ${REINPLACE_CMD} \
                 -e 's/TYPE=InnoDB/ENGINE=InnoDB/' 
${WRKSRC}/SQL/mysql/schema_*.sql
Index: pkg-plist
===================================================================
--- pkg-plist   (revision 317927)
+++ pkg-plist   (working copy)
@@ -54,15 +54,6 @@
  %%SLIMDIR%%/CPAN/File/Next.pm
  %%SLIMDIR%%/CPAN/File/ReadBackwards.pm
  %%SLIMDIR%%/CPAN/File/Slurp.pm
-%%SLIMDIR%%/CPAN/File/Spec.pm
-%%SLIMDIR%%/CPAN/File/Spec/Cygwin.pm
-%%SLIMDIR%%/CPAN/File/Spec/Epoc.pm
-%%SLIMDIR%%/CPAN/File/Spec/Functions.pm
-%%SLIMDIR%%/CPAN/File/Spec/Mac.pm
-%%SLIMDIR%%/CPAN/File/Spec/OS2.pm
-%%SLIMDIR%%/CPAN/File/Spec/Unix.pm
-%%SLIMDIR%%/CPAN/File/Spec/VMS.pm
-%%SLIMDIR%%/CPAN/File/Spec/Win32.pm
  %%SLIMDIR%%/CPAN/HTML/Entities.pm
  %%SLIMDIR%%/CPAN/HTML/Filter.pm
  %%SLIMDIR%%/CPAN/HTML/Form.pm
@@ -2564,7 +2555,6 @@
  @dirrm %%SLIMDIR%%/CPAN/HTTP/Cookies
  @dirrm %%SLIMDIR%%/CPAN/HTTP
  @dirrm %%SLIMDIR%%/CPAN/HTML
-@dirrm %%SLIMDIR%%/CPAN/File/Spec
  @dirrm %%SLIMDIR%%/CPAN/File/Copy
  @dirrm %%SLIMDIR%%/CPAN/File
  @dirrm %%SLIMDIR%%/CPAN/Exporter

-- 
Mark Knight
Mobile: +44 7880 556751.  Home: +44 1223 858596
Email: markk@knigma.org.  Skype: knigma
Comment 5 Mark Knight 2013-05-13 17:59:00 UTC
Sorry - attached.

-- 
Mark Knight
Comment 6 dfilter service freebsd_committer 2013-05-13 21:22:38 UTC
Author: stefan
Date: Mon May 13 20:22:24 2013
New Revision: 318128
URL: http://svnweb.freebsd.org/changeset/ports/318128

Log:
  - Disable File::Spec included in squeezeboxserver as it is incompatible with the
    current p5-Path-Class.
  - Fix MySQL support.
  - Assign maintainership to submitter.
  
  PR:		177524
  Submitted by:	Mark Knight <markk@knigma.org>

Modified:
  head/audio/squeezeboxserver/Makefile
  head/audio/squeezeboxserver/pkg-plist

Modified: head/audio/squeezeboxserver/Makefile
==============================================================================
--- head/audio/squeezeboxserver/Makefile	Mon May 13 20:20:29 2013	(r318127)
+++ head/audio/squeezeboxserver/Makefile	Mon May 13 20:22:24 2013	(r318128)
@@ -7,13 +7,13 @@
 
 PORTNAME=	squeezeboxserver
 PORTVERSION=	7.5.4
-PORTREVISION=	5
+PORTREVISION=	6
 CATEGORIES=	audio
 MASTER_SITES=	http://downloads.slimdevices.com/SqueezeboxServer_v${PORTVERSION}/
 DISTNAME=	${PORTNAME}-${PORTVERSION}-noCPAN
 EXTRACT_SUFX=	.tgz
 
-MAINTAINER=	ports@FreeBSD.org
+MAINTAINER=	markk@knigma.org
 COMMENT=	Slim Devices audio streaming server
 
 # Defaults support playback of relativly unrestricted formats on SB2 or
@@ -93,6 +93,7 @@ EXCEPTFILES=	${DOCFILES} \
 		CPAN/Data/Page.pm \
 		CPAN/DBI.pm \
 		CPAN/EV.pm \
+		CPAN/File/Spec.pm \
 		CPAN/File/Temp.pm \
 		CPAN/File/Which.pm \
 		CPAN/GD.pm \
@@ -125,6 +126,7 @@ EXCEPTDIRS=	Bin \
 		CPAN/MRO \
 		CPAN/Path \
 		CPAN/Scope \
+		CPAN/File/Spec \
 		CPAN/Sub \
 		CPAN/SQL \
 		CPAN/Template \
@@ -175,6 +177,7 @@ post-patch:
 	${REINPLACE_CMD} \
 		-e 's/skip-locking/skip-external-locking/' \
 		-e 's/default-character-set/character-set-server/'\
+		-e 's/table_cache/table_open_cache/'\
 		-e 's/default-collation/collation-server/'  ${WRKSRC}/MySQL/my.tt
 	${REINPLACE_CMD} \
 		-e 's/TYPE=InnoDB/ENGINE=InnoDB/' ${WRKSRC}/SQL/mysql/schema_*.sql

Modified: head/audio/squeezeboxserver/pkg-plist
==============================================================================
--- head/audio/squeezeboxserver/pkg-plist	Mon May 13 20:20:29 2013	(r318127)
+++ head/audio/squeezeboxserver/pkg-plist	Mon May 13 20:22:24 2013	(r318128)
@@ -54,15 +54,6 @@ bin/softsqueeze
 %%SLIMDIR%%/CPAN/File/Next.pm
 %%SLIMDIR%%/CPAN/File/ReadBackwards.pm
 %%SLIMDIR%%/CPAN/File/Slurp.pm
-%%SLIMDIR%%/CPAN/File/Spec.pm
-%%SLIMDIR%%/CPAN/File/Spec/Cygwin.pm
-%%SLIMDIR%%/CPAN/File/Spec/Epoc.pm
-%%SLIMDIR%%/CPAN/File/Spec/Functions.pm
-%%SLIMDIR%%/CPAN/File/Spec/Mac.pm
-%%SLIMDIR%%/CPAN/File/Spec/OS2.pm
-%%SLIMDIR%%/CPAN/File/Spec/Unix.pm
-%%SLIMDIR%%/CPAN/File/Spec/VMS.pm
-%%SLIMDIR%%/CPAN/File/Spec/Win32.pm
 %%SLIMDIR%%/CPAN/HTML/Entities.pm
 %%SLIMDIR%%/CPAN/HTML/Filter.pm
 %%SLIMDIR%%/CPAN/HTML/Form.pm
@@ -2564,7 +2555,6 @@ bin/softsqueeze
 @dirrm %%SLIMDIR%%/CPAN/HTTP/Cookies
 @dirrm %%SLIMDIR%%/CPAN/HTTP
 @dirrm %%SLIMDIR%%/CPAN/HTML
-@dirrm %%SLIMDIR%%/CPAN/File/Spec
 @dirrm %%SLIMDIR%%/CPAN/File/Copy
 @dirrm %%SLIMDIR%%/CPAN/File
 @dirrm %%SLIMDIR%%/CPAN/Exporter
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 7 Stefan Walter freebsd_committer 2013-05-13 21:30:58 UTC
State Changed
From-To: feedback->closed

Committed, thanks!